Retrieve Sandboxes
Retrieve information about the sandbox Vaults for the authenticated Vault.
GET
/api/{version}/objects/sandboxHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v23.1/objects/sandboxResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"entitlements": [
{
"size": "Small",
"available": 1,
"allowed": 1,
"temporary": 0
},
{
"size": "Large",
"available": 0,
"allowed": 1,
"temporary": 0
},
{
"size": "Full",
"available": 1,
"allowed": 1,
"temporary": 0
}
],
"active": [
{
"pod": "vv1-10",
"vault_id": 56220,
"name": "Sandbox1",
"type": "config",
"size": "Large",
"status": "active",
"domain": "veevavault.com",
"dns": "sandbox1.veevavault.com",
"source_vault_id": 13803,
"refresh_available": "2020-08-20T13:20:10.000Z",
"created_date": "2020-08-20T13:20:10.000Z",
"created_by": 1,
"modified_date": "2020-08-20T13:43:10.000Z",
"modified_by": 1,
"release": "limited",
"entitlements": []
}
]
}
}Response Details
Section link for Response DetailsThe response contains information about the sandbox Vaults for the authenticated Vault.